Query Responsible Persons
curl --request GET \
--url https://api.jtl-cloud.com/erp/responsiblePersons \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/responsiblePersons"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/responsiblePersons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Number": "AB31313",
"Description": "Some info about the ResponsiblePerson",
"Address": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"Created": "1985-01-01T00-00-00",
"LastChanged": "1985-01-01T00-00-00",
"IsActive": true,
"LanguageKey": 123
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Query Responsible Persons
Query all ResponsiblePerson
GET
/
responsiblePersons
Query Responsible Persons
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all ResponsiblePerson.
Unique Number of the ResponsiblePerson.
Example:
"AB31313"
Manufacturer description.
Example:
"Some info about the ResponsiblePerson"
Model Class: Address
Show child attributes
Show child attributes
The DateTime of Creation.
Example:
"1985-01-01T00-00-00"
The DateTime of the Lastchange.
Example:
"1985-01-01T00-00-00"
The ResponsiblePerson is active
Example:
true
Was this page helpful?
⌘I